"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const Typography_1 = tslib_1.__importDefault(require("@material-ui/core/Typography"));
const core_1 = require("@material-ui/core");
const react_1 = tslib_1.__importStar(require("react"));
const hooks_1 = require("../hooks");
const LayoutAppBar_1 = require("./LayoutAppBar");
exports.DocumentViewerRegeneratePreviews = () => {
    const [isRegenerating, setIsRegenerating] = react_1.useState(false);
    const localization = hooks_1.useLocalization();
    const api = hooks_1.useDocumentViewerApi();
    const { documentData } = hooks_1.useDocumentData();
    /**
     * renders the component
     */
    return (react_1.default.createElement("div", { style: {
            display: 'flex',
            justifyContent: 'space-around',
            alignContent: 'center',
            alignItems: 'center',
            height: '100%',
        } },
        react_1.default.createElement(LayoutAppBar_1.LayoutAppBar, { style: { position: 'fixed', top: 0 } },
            react_1.default.createElement("span", null)),
        react_1.default.createElement("div", { style: {
                display: 'flex',
                justifyContent: 'space-between',
                alignItems: 'center',
                flexDirection: 'column',
                maxWidth: 500,
                margin: '.5em 0 .6em 0',
            } },
            react_1.default.createElement(Typography_1.default, { variant: "subtitle1", color: "textSecondary", align: "center", gutterBottom: true }, localization.regeneratePreviews),
            react_1.default.createElement(core_1.Button, { variant: "contained", disabled: isRegenerating, onClick: () => {
                    setIsRegenerating(true);
                    api.regeneratePreviews({ document: documentData, abortController: new AbortController() });
                } },
                isRegenerating && react_1.default.createElement(core_1.CircularProgress, { size: 24, style: { marginRight: '1em' } }),
                localization.regenerateButton))));
};
//# sourceMappingURL=DocumentViewerRegeneratePreviews.js.map