"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const ClickAwayListener_1 = tslib_1.__importDefault(require("@material-ui/core/ClickAwayListener"));
const TextField_1 = tslib_1.__importDefault(require("@material-ui/core/TextField"));
const Typography_1 = tslib_1.__importDefault(require("@material-ui/core/Typography"));
const react_1 = tslib_1.__importStar(require("react"));
const hooks_1 = require("../../hooks");
/**
 * Document widget component for paging
 */
exports.DocumentTitlePager = () => {
    const [isFocused, setIsFocused] = react_1.useState(false);
    const { documentData } = hooks_1.useDocumentData();
    const viewerState = hooks_1.useViewerState();
    const localization = hooks_1.useLocalization();
    const setPage = react_1.useCallback((index) => {
        viewerState.updateState({ activePages: [index] });
        viewerState.onPageChange.setValue(index);
    }, [viewerState]);
    const [currentPage, setCurrentPage] = react_1.useState(viewerState.activePages[0]);
    const gotoPage = (page) => {
        let pageInt = typeof page === 'string' ? parseInt(page, 10) : page;
        if (!isNaN(pageInt)) {
            pageInt = Math.max(pageInt, 1);
            pageInt = Math.min(pageInt, documentData.pageCount);
            setCurrentPage(pageInt);
            setPage(pageInt);
        }
    };
    return (react_1.default.createElement(ClickAwayListener_1.default, { onClickAway: () => setIsFocused(false) },
        react_1.default.createElement(Typography_1.default, { onClick: () => setIsFocused(true), variant: "h6", color: "inherit", style: { cursor: 'pointer', display: 'flex', alignItems: 'center', overflow: 'hidden', margin: '0 2.5em' }, title: documentData.documentName },
            react_1.default.createElement("div", { style: { whiteSpace: 'nowrap', overflow: 'hidden', textOverflow: 'ellipsis' } },
                documentData.documentName,
                "\u00A0"),
            isFocused ? (react_1.default.createElement("form", { onSubmit: ev => {
                    ev.preventDefault();
                } },
                react_1.default.createElement(TextField_1.default, { style: { flexShrink: 0 }, title: localization.gotoPage, value: currentPage, onChange: ev => gotoPage(ev.currentTarget.value), type: "number", required: true, InputLabelProps: {
                        shrink: true,
                    }, inputProps: {
                        min: 1,
                        max: documentData.pageCount,
                        style: { textAlign: 'center' },
                    }, margin: "dense" }))) : (react_1.default.createElement("div", { style: { flexShrink: 0 } },
                currentPage,
                " / ",
                documentData.pageCount)))));
};
//# sourceMappingURL=DocumentTitlePager.js.map