"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const IconButton_1 = tslib_1.__importDefault(require("@material-ui/core/IconButton"));
const RotateLeft_1 = tslib_1.__importDefault(require("@material-ui/icons/RotateLeft"));
const RotateRight_1 = tslib_1.__importDefault(require("@material-ui/icons/RotateRight"));
const react_1 = tslib_1.__importStar(require("react"));
const hooks_1 = require("../../hooks");
const RotatePage_1 = require("../page-widgets/RotatePage");
/**
 * Component that allows document rotation
 */
exports.RotateDocumentWidget = () => {
    const pages = hooks_1.usePreviewImages();
    const localization = hooks_1.useLocalization();
    const rotateDocumentLeft = react_1.useCallback(() => {
        pages.rotateImages(pages.imageData.map(p => p.Index), -RotatePage_1.ROTATION_AMOUNT);
    }, [pages]);
    const rotateDocumentRight = react_1.useCallback(() => {
        pages.rotateImages(pages.imageData.map(p => p.Index), RotatePage_1.ROTATION_AMOUNT);
    }, [pages]);
    return (react_1.default.createElement("div", { style: { display: 'inline-block' } },
        react_1.default.createElement(IconButton_1.default, { title: localization.rotateDocumentLeft, onClick: rotateDocumentLeft, id: "RotateLeft" },
            react_1.default.createElement(RotateLeft_1.default, { style: { border: '2px solid', borderRadius: '5px' } })),
        react_1.default.createElement(IconButton_1.default, { title: localization.rotateDocumentRight, onClick: rotateDocumentRight, id: "RotateRight" },
            react_1.default.createElement(RotateRight_1.default, { style: { border: '2px solid', borderRadius: '5px' } }))));
};
//# sourceMappingURL=RotateDocument.js.map