"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const PictureInPicture_1 = tslib_1.__importDefault(require("@material-ui/icons/PictureInPicture"));
const react_1 = tslib_1.__importDefault(require("react"));
const hooks_1 = require("../../hooks");
const ToggleBase_1 = require("./ToggleBase");
/**
 * Document widget component to toggleing redaction
 */
exports.ToggleRedactionWidget = () => {
    const localization = hooks_1.useLocalization();
    const viewerState = hooks_1.useViewerState();
    return (react_1.default.createElement(ToggleBase_1.ToggleBase, { isVisible: viewerState.showRedaction, title: localization.toggleRedaction, setValue: v => viewerState.updateState({ showRedaction: v }) },
        react_1.default.createElement(PictureInPicture_1.default, null)));
};
//# sourceMappingURL=ToggleRedaction.js.map