"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const Dashboard_1 = tslib_1.__importDefault(require("@material-ui/icons/Dashboard"));
const react_1 = tslib_1.__importDefault(require("react"));
const hooks_1 = require("../../hooks");
const ToggleBase_1 = require("./ToggleBase");
/**
 * Document widget component that toggles the displaying of the shapes
 */
exports.ToggleShapesWidget = () => {
    const localization = hooks_1.useLocalization();
    const viewerState = hooks_1.useViewerState();
    return (react_1.default.createElement(ToggleBase_1.ToggleBase, { isVisible: viewerState.showShapes, title: localization.toggleShapes, setValue: v => viewerState.updateState({ showShapes: v }) },
        react_1.default.createElement(Dashboard_1.default, null)));
};
//# sourceMappingURL=ToggleShapes.js.map